# Brewtarget

![Linux Workflow](https://github.com/brewtarget/brewtarget/actions/workflows/linux-ubuntu.yml/badge.svg)

![Windows Workflow](https://github.com/brewtarget/brewtarget/actions/workflows/windows.yml/badge.svg)

![Mac Workflow](https://github.com/brewtarget/brewtarget/actions/workflows/mac.yml/badge.svg)

### *** Please note that the up-to-date Brewtarget website is [www.brewtarget.beer](https://www.brewtarget.beer/).  Latest Brewtarget releases are always here on [GitHub](https://github.com/Brewtarget/brewtarget/releases/latest). ***
##### (The old brewtarget.org website is out-of-date but we do not have access to modify it.)

Brewtarget is free open-source brewing software, and a beer recipe creation
tool available for Linux, Mac, and Windows. It automatically calculates color,
bitterness, and other parameters for you while you drag and drop ingredients
into the recipe. Brewtarget also has many other tools such as priming sugar
calculators, OG correction help, and a unique mash designing tool. It also can
export and import recipes in BeerXML, allowing you to easily share recipes with
friends who use BeerSmith or other programs. All of this means that Brewtarget
is your single, free, go-to tool when crafting your beer recipes.


## Authors

* Adam Hawes <ach@hawes.net.au>
* Aidan Roberts <aidanr67@gmail.com>
* A.J. Drobnich <aj.drobnich@gmail.com>
* André Rodrigues <andre@sabayon.local>
* Blair Bonnett <blair.bonnett@gmail.com>
* Brian Rower <brian.rower@gmail.com>
* Carles Muñoz Gorriz <carlesmu@internautas.org>
* Chris Pavetto <chrispavetto@gmail.com>
* Chris Speck <cgspeck@gmail.com>
* Dan Cavanagh <dan@dancavanagh.com>
* Daniel Moreno <danielm5@users.noreply.github.com>
* Daniel Pettersson <pettson81@gmail.com>
* David Grundberg <individ@acc.umu.se>
* Eric Tamme <etamme@gmail.com>
* Greg Greenaae <ggreenaae@gmail.com>
* Greg Meess <Daedalus12@gmail.com>
* Idar Lund <idarlund@gmail.com>
* Jamie Daws <jdelectronics1@gmail.com>
* Jean-Baptiste Wons <wonsjb@gmail.com>
* Jeff Bailey <skydvr38@verizon.net>
* Jerry Jacobs <jerry@xor-gate.org>
* Jonatan Pålsson <jonatan.p@gmail.com>
* Jonathon Harding <github@jrhardin.net>
* Julian Volodia <julianvolodia@gmail.com>
* Kregg Kemper <gigatropolis@yahoo.com>
* Luke Vincent <luke.r.vincent@gmail.com>
* Marcel Koek <koek.marcel@gmail.com>
* Mark de Wever <koraq@xs4all.nl>
* Markus Mårtensson <mackan.90@gmail.com>
* Matt Anderson <matt.anderson@is4s.com>
* Mattias Måhl <mattias@kejsarsten.com>
* Matt Young <mfsy@yahoo.com> -- Current lead developer
* Maxime Lavigne <duguigne@gmail.com>
* Medic Momcilo <medicmomcilo@gmail.com>
* Mike Evans <mikee@saxicola.co.uk>
* Mik Firestone <mikfire@gmail.com> -- Previous lead developer
* Mikhail Gorbunov <mikhail@sirena2000.ru>
* Mitch Lillie <mitch@mitchlillie.com>
* Padraic Stack <padraic.stack@gmail.com>
* Peter Buelow <goballstate@gmail.com>
* Peter Urbanec <git.user@urbanec.net>
* Philip Greggory Lee <rocketman768@gmail.com> -- Original lead developer
* Rob Taylor <robtaylor@floopily.org>
* Samuel Östling <MrOstling@gmail.com>
* Scott Peshak <scott@peshak.net>
* Théophane MARTIN <theophane.m@gmail.com>
* Tyler Cipriani <tcipriani@wikimedia.org>

Author list created with the help of the following command:

    $ git log --raw | grep "^Author: " | sort -u

## Websites

### For Users

* [Main website](https://www.brewtarget.beer) (This replaces the old brewtarget.org website, to which we no longer have access)
* [Latest builds](https://github.com/Brewtarget/brewtarget/actions)
* [Bug tracker](https://github.com/Brewtarget/brewtarget/issues)

Latest builds are available by logging into GitHub, following the "Latest builds" link above, drilling down into the
relevant OS and downloading the installer package.

### For Developers

* [Source code repository](https://github.com/Brewtarget/brewtarget)
* [Developers wiki](https://github.com/Brewtarget/brewtarget/wiki)

## Compiling and Installing

If you want to build the application from source, see
[Development: Getting Started](https://github.com/Brewtarget/brewtarget/wiki/Development:-Getting-Started) for
up-to-date instructions.

See also comments in [bt](https://github.com/Brewtarget/brewtarget/blob/develop/bt) and [meson.build](https://github.com/Brewtarget/brewtarget/blob/develop/meson.build) files.
